## pgbackrest 2.10

=== src/Makefile ===
####################################################################################################################################
# pgBackRest Makefile
####################################################################################################################################

####################################################################################################################################
# Compile options
####################################################################################################################################
CC=gcc

# Compile using C99 and Posix 2001 standards (also _DARWIN_C_SOURCE for MacOS)
CSTD = -std=c99 -D_POSIX_C_SOURCE=200112L -D_DARWIN_C_SOURCE

# Compile optimizations
COPT = -O2

# Locations of header files
CINCLUDE = -I. -I../libc

# Compile warnings
CWARN = -Wfatal-errors -Wall -Wextra -Wwrite-strings -Wswitch-enum -Wconversion -Wformat=2 -Wformat-nonliteral \
		-Wno-clobbered -Wno-missing-field-initializers -Wstrict-prototypes -Wpointer-arith -Wvla

# Automatically generate Perl compile options for the local system
CPERL = `perl -MExtUtils::Embed -e ccopts` -DWITH_PERL

# Automatically generate xml compile options for the local system
CXML = `xml2-config --cflags`

# Debug options
CDEBUG = -DNDEBUG

# Extra compile options to be set by caller
CEXTRA =

# Concatenate options for easy usage
CFLAGS = $(CINCLUDE) $(CSTD) $(COPT) $(CWARN) $(CXML) $(CPERL) $(CDEBUG) $(CEXTRA)

####################################################################################################################################
# Link options
####################################################################################################################################
# Automatically generate Perl linker options for the local system
LDPERL = `perl -MExtUtils::Embed -e ldopts`

# Extra linker options to be set by caller
LDEXTRA =

# Concatenate options for easy usage
LDFLAGS = -lcrypto -lssl -lxml2 -lz $(LDPERL) $(LDEXTRA)

####################################################################################################################################
# Install options
####################################################################################################################################
# Modify destination install directory
DESTDIR =

####################################################################################################################################
# List of required source files.  main.c should always be listed last and the rest in alpha order.
####################################################################################################################################
SRCS = \
	command/archive/common.c \
	command/archive/get/file.c \
	command/archive/get/get.c \
	command/archive/push/push.c \
	command/help/help.c \
	command/info/info.c \
	command/command.c \
	command/control/control.c \
	common/debug.c \
	common/encode.c \
	common/encode/base64.c \
	common/error.c \
	common/exec.c \
	common/exit.c \
	common/fork.c \
	common/io/bufferRead.c \
	common/io/bufferWrite.c \
	common/io/filter/buffer.c \
	common/io/filter/filter.c \
	common/io/filter/group.c \
	common/io/filter/size.c \
	common/io/handleRead.c \
	common/io/handleWrite.c \
	common/io/http/client.c \
	common/io/http/common.c \
	common/io/http/header.c \
	common/io/http/query.c \
	common/io/io.c \
	common/io/read.c \
	common/io/tls/client.c \
	common/io/write.c \
	common/ini.c \
	common/lock.c \
	common/log.c \
	common/memContext.c \
	common/regExp.c \
	common/stackTrace.c \
	common/time.c \
	common/type/buffer.c \
	common/type/convert.c \
	common/type/json.c \
	common/type/keyValue.c \
	common/type/list.c \
	common/type/string.c \
	common/type/stringList.c \
	common/type/variant.c \
	common/type/variantList.c \
	common/type/xml.c \
	common/wait.c \
	compress/gzip.c \
	compress/gzipCompress.c \
	compress/gzipDecompress.c \
	config/config.c \
	config/define.c \
	config/exec.c \
	config/load.c \
	config/parse.c \
	crypto/cipherBlock.c \
	crypto/hash.c \
	crypto/crypto.c \
	info/info.c \
	info/infoArchive.c \
	info/infoBackup.c \
	info/infoManifest.c \
	info/infoPg.c \
	perl/config.c \
	perl/exec.c \
	postgres/interface.c \
	postgres/interface/v083.c \
	postgres/interface/v084.c \
	postgres/interface/v090.c \
	postgres/interface/v091.c \
	postgres/interface/v092.c \
	postgres/interface/v093.c \
	postgres/interface/v094.c \
	postgres/interface/v095.c \
	postgres/interface/v096.c \
	postgres/interface/v100.c \
	postgres/interface/v110.c \
	postgres/pageChecksum.c \
	protocol/client.c \
	protocol/helper.c \
	storage/driver/posix/storage.c \
	storage/driver/posix/common.c \
	storage/driver/posix/fileRead.c \
	storage/driver/posix/fileWrite.c \
	storage/driver/remote/fileRead.c \
	storage/driver/remote/storage.c \
	storage/driver/s3/fileRead.c \
	storage/driver/s3/storage.c \
	storage/fileRead.c \
	storage/fileWrite.c \
	storage/helper.c \
	storage/storage.c \
	main.c

# Create obj list from source list
OBJS=$(SRCS:.c=.o)

####################################################################################################################################
# Compile and link
####################################################################################################################################
pgbackrest: $(OBJS)
	$(CC) -o pgbackrest $(OBJS) $(LDFLAGS)

####################################################################################################################################
# Installation.  DESTDIR can be used to modify the install location.
####################################################################################################################################
install: pgbackrest
	install -d $(DESTDIR)/usr/bin
	install -m 755 pgbackrest $(DESTDIR)/usr/bin

####################################################################################################################################
# Compile rules
####################################################################################################################################
command/archive/common.o: command/archive/common.c command/archive/common.h common/assert.h common/debug.h common/error.auto.h common/error.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/log.h common/logLevel.h common/memContext.h common/regExp.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h postgres/version.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/archive/common.c -o command/archive/common.o

command/archive/get/file.o: command/archive/get/file.c command/archive/common.h command/archive/get/file.h command/control/control.h common/assert.h common/debug.h common/error.auto.h common/error.h common/ini.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h compress/gzip.h compress/gzipDecompress.h config/config.auto.h config/config.h config/define.auto.h config/define.h crypto/cipherBlock.h crypto/crypto.h info/infoArchive.h info/infoPg.h postgres/interface.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/archive/get/file.c -o command/archive/get/file.o

command/archive/get/get.o: command/archive/get/get.c command/archive/common.h command/archive/get/file.h command/command.h common/assert.h common/debug.h common/error.auto.h common/error.h common/fork.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/regExp.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h config/config.auto.h config/config.h config/define.auto.h config/define.h config/load.h crypto/crypto.h perl/exec.h postgres/interface.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/archive/get/get.c -o command/archive/get/get.o

command/archive/push/push.o: command/archive/push/push.c command/archive/common.h command/command.h common/assert.h common/debug.h common/error.auto.h common/error.h common/fork.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h config/config.auto.h config/config.h config/define.auto.h config/define.h config/load.h perl/exec.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/archive/push/push.c -o command/archive/push/push.o

command/command.o: command/command.c common/assert.h common/debug.h common/error.auto.h common/error.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h version.h
	$(CC) $(CFLAGS) -c command/command.c -o command/command.o

command/control/control.o: command/control/control.c command/control/control.h common/assert.h common/debug.h common/error.auto.h common/error.h common/io/filter/filter.h common/io/filter/group.h common/io/read.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h
	$(CC) $(CFLAGS) -c command/control/control.c -o command/control/control.o

command/help/help.o: command/help/help.c common/assert.h common/debug.h common/error.auto.h common/error.h common/io/filter/filter.h common/io/filter/group.h common/io/handleWrite.h common/io/write.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h version.h
	$(CC) $(CFLAGS) -c command/help/help.c -o command/help/help.o

=== debian/changelog ===
pgbackrest (2.10-1) unstable; urgency=medium

  [ Adrian Vondendriesch ]
  * Bug Fixes:
    - Add unimplemented S3 driver method required for archive-get.
    - Fix check for improperly configured pg-path.
  [ Christoph Berg ]
  * Update PostgreSQL Maintainers address.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 11 Feb 2019 19:00:50 +0100

pgbackrest (2.08-2) unstable; urgency=medium

  * Change default permissions of newly created pgbackrest directories and
    config files. (Closes: #920268)
    - Especially /var/lib/pgbackrest might contain sensitive information
      and shouldn't be readable by others. Change default permissions to
      0750.
    - /etc/pgbackrest.conf might contain encryption keys. Change default
      permissions to 0640.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 23 Jan 2019 14:33:15 +0100

pgbackrest (2.08-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Remove request for S3 object info directly after putting it.
      * Correct archive-get-queue-max to be size type.
      * Add error message when current user uid/gid does not map to a name.
      * Error when --target-action=shutdown specified for PostgreSQL < 9.5.
    - Improvements:
      * Set TCP keepalives on S3 connections.
      * Reorder info command text output so most recent backup is output last.
      * Change file ownership only when required.
      * Redact authentication header when throwing S3 errors.
  * d/control:
    - Add libxml2-dev to B-D
    - Bump Standards-Version to 4.3.0
    - Slightly improve package long description

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 07 Jan 2019 17:39:12 +0100

pgbackrest (2.07-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix issue with archive-push-queue-max not being honored on connection
        error.
      * Fix static WAL segment size used to determine if
        archive-push-queue-max has been exceeded.
      * Fix error after log file open failure when processing should continue.
    - Features:
      * Automatically enable backup checksum delta when anomalies (e.g.
        timeline switch) are detected.
    - Improvements:
      * Retry all S3 5xx errors rather than just 500 internal errors.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 18 Nov 2018 13:37:00 +0100

pgbackrest (2.06-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix missing URI encoding in S3 driver.
      * Fix incorrect error message for duplicate options in configuration
        files.
      * Fix incorrectly reported error return in info logging. A return code
        of 1 from the archive-get was being logged as an error message at info
        level but otherwise worked correctly.
    - Features:
      * Add checksum delta for incremental backups which uses checksums rather
        than timestamps to determine if files have changed.
      * PostgreSQL 11 support, including configurable WAL segment size.
    - Improvements:
      * Ignore all files in a linked tablespace directory except the
        subdirectory for the current version of PostgreSQL. Previously an
        error would be generated if other files were present and not owned by
        the PostgreSQL user.
      * Improve info command to display the stanza cipher type.
      * Improve support for special characters in filenames.
      * Allow delta option to be specified in the pgBackRest configuration
        file.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 16 Oct 2018 19:01:33 +0200

pgbackrest (2.05-1) unstable; urgency=medium

  * d/control: Add zlib1g-dev to B-D.
  * New Upstream release:
    - Bug Fixes:
      * Fix issue where relative links in $PGDATA could be stored in the
        backup with the wrong path. This issue did not affect
        absolutelinks and relative tablespace links were caught by other
        checks.
      * Remove incompletely implemented online option from the check
        command. Offline operation runs counter to the purpose of this
        command, which is to check if archiving and backups are working
        correctly.
      * Fix issue where errors raised in C were not logged when called
        from Perl. pgBackRest properly terminated with the correct error
    	code but lacked an error message to aid in debugging.
      * Fix issue when a boolean option (e.g. delta) was specified more
        than once.
    - Features:
      * Allow any option to be set in an environment variable. This
        includes options that previously could only be specified on the
        command line, e.g. stanza, and secret options that could not be
        specified on the command-line, e.g. repo1-s3-key-secret.
      * Exclude temporary and unlogged relation (table/index) files from
        backup. Implemented using the same logic as the patches adding
        this feature to PostgreSQL, 8694cc96 and 920a5e50. Temporary
        relation exclusion is enabled in PostgreSQL ≥ 9.0. Unlogged
        relation exclusion is enabled in PostgreSQL ≥ 9.1, where the
        feature was introduced.
      * Allow arbitrary directories and/or files to be excluded from a
        backup. Misuse of this feature can lead to inconsistent backups so
        read the --exclude documentation carefully before using.
      * Add log-subprocess option to allow file logging for local and
        remote subprocesses.
      * PostgreSQL 11 Beta 3 support.
    - Improvements:
      * Allow zero-size files in backup manifest to reference a prior
        manifest regardless of timestamp delta.
      * Improve asynchronous archive-get/archive-push performance by
        directly checking status files.
      * Improve error message when a command is missing the stanza option.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 03 Sep 2018 20:35:16 +0200

=== debian/control ===
Source: pgbackrest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper (>= 9),
               libio-socket-ssl-perl,
               libperl-dev,
               libssl-dev,
               libxml-checker-perl,
               libxml-libxml-perl,
	       libxml2-dev,
               txt2man,
	       zlib1g-dev
Standards-Version: 4.3.0
Homepage: http://www.pgbackrest.org/
Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest

Package: pgbackrest
Architecture: any
Depends: libdbd-pg-perl,
         postgresql-common,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: libio-socket-ssl-perl, libxml-libxml-perl, pgbackrest-doc
Description: Reliable PostgreSQL Backup & Restore
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
 .
 This package contains all required binaries, scripts and libraries.

Package: pgbackrest-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation package for pgbackrest
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
 .
 The pgBackRest documentation contains detailed information about the
 configuration and usage of pgBackRest.

=== debian/rules ===
#!/usr/bin/make -f

MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	# Replace user name in doc cache with the current user
	[ $$(whoami) = root ] || sed -i "s/vagrant/$$(whoami)/g" $(CURDIR)/doc/resource/exe.cache

	perl $(CURDIR)/doc/doc.pl --out=man --out=html --cache-only \
	  --var=project-url-root=index.html --exclude=backlog \
	  --var=release-date-static=y
	txt2man \
	  -v "pgBackRest Command Reference" \
	  -t pgbackrest \
	  -s 1 \
	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
	# The Makefile doesn't accepts *FLAGS as environment variables.
	# However, it offers a method to pass extra arguments via *EXTRA
	# variable.
	make -C $(CURDIR)/src/ CEXTRA="$(CFLAGS)" LDEXTRA="$(LDFLAGS)"
	dh_auto_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/doc/output
	dh_auto_clean

override_dh_auto_install:
	make -C src install DESTDIR=$(CURDIR)/debian/pgbackrest
	dh_auto_install

.PHONY: build

build:
	dh build

## pgbackrest 2.16

=== debian/changelog ===
pgbackrest (2.16-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Retry S3 RequestTimeTooSkewed errors instead of immediately
      terminating.
      * Fix incorrect handling of transfer-encoding response to HEAD request.
      * Fix scoping violations exposed by optimizations in gcc 9.
    - Features:
      * Add repo-s3-port option for setting a non-standard S3 service port.
    - Improvements:
      * The local command for backup is implemented entirely in C.
      * The check command is implemented partly in C.
  * Adjust dependencies.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 08 Aug 2019 20:33:32 +0200

pgbackrest (2.15.1-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix archive retention expiring too aggressively.
    - Improvements:
      * The expire command is implemented entirely in C.
      * The local command for restore is implemented entirely in C.
      * Remove hard-coded PostgreSQL user so $PGUSER works.
      * Honor configure --prefix option.
      * Rename repo-s3-verify-ssl option to repo-s3-verify-tls. The new name is
        preferred because pgBackRest does not support any SSL protocol versions
        (they are all considered to be insecure). The old name will continue to
        be accepted.
    - Documentation Improvements:
      * Add FAQ to the documentation.
      * Use wal_level=replica in the documentation for PostgreSQL ≥ 9.6.
  * d/rules: Use --prefix parameter in configure script.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 27 Jun 2019 15:58:27 +0200

pgbackrest (2.14-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix segfault when process-max > 8 for archive-push/archive-get.
    - Improvements:
      * Bypass database checks when stanza-delete issued with force.
      * Add configure script for improved multi-platform support.
    - Documentation Features:
      * Add user guides for CentOS/RHEL 6/7.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 31 May 2019 13:30:11 +0200

pgbackrest (2.13-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix zero-length reads causing problems for IO filters that did not
        expect them.
      * Fix reliability of error reporting from local/remote processes.
      * Fix Posix/CIFS error messages reporting the wrong filename on
        write/sync/close.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 19 Apr 2019 10:26:04 +0200

pgbackrest (2.12-1) unstable; urgency=medium

  * d/rules. Add hardening flags "+all".
  * New Upstream release:
    - IMPORTANT NOTE: The new TLS/SSL implementation forbids dots in S3
      bucket names per RFC-2818. This security fix is required for compliant
      hostname verification.
    - Bug Fixes:
      * Fix issues when a path option is / terminated.
      * Fix issues when log-level-file=off is set for the archive-get command.
      * Fix C code to recognize host:port option format like Perl does.
      * Fix issues with remote/local command logging options.
    - Improvements:
      * The archive-push command is implemented entirely in C.
      * Increase process-max limit to 999.
      * Improve error message when an S3 bucket name contains dots.
    - Documentation Improvements:
      * Clarify that S3-compatible object stores are supported.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 13 Apr 2019 17:09:19 +0200

pgbackrest (2.11-1) unstable; urgency=medium

  * Update d/rules to represent Makefile changes.
  * New Upstream release:
    - Bug Fixes:
      * Fix possible truncated WAL segments when an error occurs
        mid-write.
      * Fix info command missing WAL min/max when stanza specified.
      * Fix non-compliant JSON for options passed from C to Perl.
    - Improvements:
      * The archive-get command is implemented entirely in C.
      * Enable socket keep-alive on older Perl versions.
      * Error when parameters are passed to a command that does not accept
        parameters.
      * Add hints when unable to find a WAL segment in the archive.
      * Improve error when hostname cannot be found in a certificate.
      * Add additional options to backup.manifest for debugging purposes.
    - Documentation Improvements:
      * Update default documentation version to PostgreSQL 10.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 12 Mar 2019 11:18:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9),
-               libio-socket-ssl-perl,
                libperl-dev,
+               libpq-dev,
                libssl-dev,
                libxml-checker-perl,
-               libxml-libxml-perl,
-	       libxml2-dev,
+               libxml2-dev,
                txt2man,
-	       zlib1g-dev
+               zlib1g-dev
 Standards-Version: 4.3.0
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
@@ -19,12 +18,12 @@
 
 Package: pgbackrest
 Architecture: any
-Depends: libdbd-pg-perl,
+Depends: perl,
          postgresql-common,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Suggests: libio-socket-ssl-perl, libxml-libxml-perl, pgbackrest-doc
+Suggests: pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
  that can seamlessly scale up to the largest databases and workloads.

## pgbackrest 2.23

=== debian/changelog ===
pgbackrest (2.23-1) unstable; urgency=medium

  * New Upstream Release (Closes: #949425)
    - Bug Fixes:
      * Fix missing files corrupting the manifest. If a file was removed by
        PostgreSQL during the backup (or was missing from the standby) then
        the next file might not be copied and updated in the manifest. If this
        happened then the backup would error when restored.
    - Improvements:
      * Use pkg-config instead of xml2-config for libxml2 build options.
      * Validate checksums are set in the manifest on backup/restore.
  * debian/control: Add pkg-config to B-D.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 27 Jan 2020 18:08:12 +0100

pgbackrest (2.22-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix error in timeline conversion. The timeline is required to verify
        WAL segments in the archive after a backup. The conversion was
        performed base 10 instead of 16, which led to errors when the timeline
        was ≥ 0xA.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 22 Jan 2020 10:08:22 +0100

pgbackrest (2.21-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix options being ignored by asynchronous commands. The asynchronous
        archive-get/archive-push processes were not loading options configured
        in command configuration sections, e.g. [global:archive-get].
      * Fix handling of \ in filenames. \ was not being properly escaped when
        calculating the manifest checksum which prevented the manifest from
        loading. Since instances of \ in cluster filenames should be rare to
        nonexistent this does not seem likely to be a serious problem in the
        field.
    - Features:
      * pgBackRest is now pure C.
      * Add pg-user option. Specifies the database user name when connecting
        to PostgreSQL. If not specified pgBackRest will connect with the local
        OS user or PGUSER, which was the previous behavior.
      * Allow path-style URIs in S3 driver.
    - Improvements:
      * The backup command is implemented entirely in C.
  * debian/copyright: update copyright dates
  * debian/control:
      - Add Rules-Requires-Root.
      - Update Standards-Version to 4.4.0 (no changes required).
      - Remove libperl-dev B-D.
      - Remove perl dependency.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 18 Jan 2020 20:22:03 +0100

pgbackrest (2.20-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix archive-push/archive-get when PGDATA is symlinked. These commands
        tried to use cwd() as PGDATA but this would disagree with the path
        configured in pgBackRest if PGDATA was symlinked. If cwd() does not
        match the pgBackRest path then chdir() to the path and make sure the
        next cwd() matches the result from the first call.
      * Fix reference list when backup.info is reconstructed in expire
        command. Since the backup command is still using the Perl version of
        reconstruct this issue will not express unless 1) there is a backup
        missing from backup.info and 2) the expire command is run directly
        instead of running after backup as usual. This unlikely combination of
        events means this is probably not a problem in the field.
      * Fix segfault on unexpected EOF in gzip decompression.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 13 Dec 2019 21:16:34 +0100

pgbackrest (2.19-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix remote timeout in delta restore. When performing a delta restore
        on a largely unchanged cluster the remote could timeout if no files were
        fetched from the repository within protocol-timeout. Add keep-alives to
        prevent remote timeout.
      * Fix handling of repeated HTTP headers. When HTTP headers are repeated
        they should be considered equivalent to a single comma-separated header
        rather than generating an error, which was the prior behavior.
    - Improvements:
      * JSON output from the info command is no longer pretty-printed.
        Monitoring systems can more easily ingest the JSON without linefeeds.
        External tools such as jq can be used to pretty-print if desired.
      * The check command is implemented entirely in C.
    - Documentation Improvements:
      * Document how to contribute to pgBackRest.
      * Document maximum version for auto-stop option.
    - Test Suite Improvements:
      * Fix container test path being used when --vm=none.
      * Fix mismatched timezone in expect test.
      * Don't autogenerate embedded libc code by default.
  * d/patches: Update ppc64le patch.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 15 Nov 2019 19:46:21 +0100

pgbackrest (2.18-1) unstable; urgency=medium

  * New Upstream Release:
    - Features:
      * PostgreSQL 12 support.
      * Add info command set option for detailed text output. The additional
        details include databases that can be used for selective restore and a
        list of tablespaces and symlinks with their default destinations.
      * Add standby restore type. This restore type automatically adds
        standby_mode=on to recovery.conf for PostgreSQL < 12 and creates
        standby.signal for PostgreSQL ≥ 12, creating a common interface between
        PostgreSQL versions.
    - Improvements:
      * The restore command is implemented entirely in C.
    - Documentation Improvements:
      * Document the relationship between db-timeout and protocol-timeout.
      * Add documentation clarifications regarding standby repositories.
      * Add FAQ for time-based Point-in-Time Recovery.
  * d/pgbackrest.logrotate: Adjust logrotate conf. Add missing copytruncate.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 28 Oct 2019 17:41:53 +0100



=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 9),
-               libperl-dev,
+               perl,
                libpq-dev,
                libssl-dev,
                libxml-checker-perl,
                libxml2-dev,
+	       pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest
 
 Package: pgbackrest
 Architecture: any
-Depends: perl,
-         postgresql-common,
+Depends: postgresql-common,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}

## pgbackrest 2.24

=== debian/changelog ===
pgbackrest (2.24-1) unstable; urgency=medium

  * Bug Fixes:
    - Prevent defunct processes in asynchronous archive commands.
    - Error when archive-get/archive-push/restore are not run on a PostgreSQL
      host.
    - Read HTTP content to eof when size/encoding not specified.
    - Fix resume when the resumable backup was created by Perl. In this case
      the resumable backup should be ignored, but the C code was not able to
      load the partial manifest written by Perl since the format differs
      slightly. Add validations to catch this case and continue gracefully.
  * Features:
    - Auto-select backup set on restore when time target is specified.
      Auto-selection is performed only when --set is not specified. If a backup
      set for the given target time cannot not be found, the latest (default)
      backup set will be used.
  * Improvements:
    - Skip pg_internal.init temp file during backup.
    - Add more validations to the manifest on backup.
  * Documentation Improvements:
    - Prevent lock-bot from adding comments to locked issues.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 26 Feb 2020 16:46:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libssl-dev,
                libxml-checker-perl,
                libxml2-dev,
-	       pkg-config,
+               pkg-config,
                txt2man,
                zlib1g-dev
 Standards-Version: 4.4.0

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"
 
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -10,6 +10,11 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	# src contains a seperate configure script.
+	cd $(CURDIR)/src && ./configure --prefix=/usr
+	dh_auto_configure
 
 override_dh_auto_build:
 	# Replace user name in doc cache with the current user
@@ -23,10 +28,7 @@
 	  -t pgbackrest \
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
-	# The Makefile doesn't accepts *FLAGS as environment variables.
-	# However, it offers a method to pass extra arguments via *EXTRA
-	# variable.
-	make -C $(CURDIR)/src/ CEXTRA="$(CFLAGS)" LDEXTRA="$(LDFLAGS)"
+	make -C $(CURDIR)/src/
 	dh_auto_build
 
 override_dh_auto_clean:

## pgbackrest 2.28

=== debian/changelog ===
pgbackrest (2.28-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix restore --force acting like --force --delta. This caused
        restore to replace files based on timestamp and size rather than
        overwriting, which meant some files that should have been updated were
        left unchanged. Normal restore and restore --delta were not affected
        by this issue.
    - Features:
      * Azure support for repository storage.
      * Add expire-auto option. This allows automatic expiration after a
        successful backup to be disabled.
    - Improvements:
      * Asynchronous S3 multipart upload.
      * Automatic retry for backup, restore, archive-get, and archive-push.
      * Disable query parallelism in PostgreSQL sessions used for backup
        control.
      * PostgreSQL 13 beta2 support. Changes to the control/catalog/WAL
        versions in subsequent betas may break compatibility but pgBackRest
        will be updated with each release to keep pace.
      * Improve handling of invalid HTTP response status.
      * Improve error when pg1-path option missing for archive-get command.
      * Add hint when checksum delta is enabled after a timeline switch.
      * Use PostgreSQL instead of postmaster where appropriate.
    - Documentation Bug Fixes:
      * Fix incorrect example for repo-retention-full-type option.
      * Remove internal commands from HTML and man command references.
    - Documentation Improvements:
      * Update PostgreSQL versions used to build user guides. Also add
        version ranges to indicate that a user guide is accurate for a
        range of PostgreSQL versions even if it was built for a specific
        version.
      * Update FAQ for expiring a specific backup set.
      * Update FAQ to clarify default PITR behavior.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 23 Jul 2020 11:05:19 +0200

pgbackrest (2.27-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix issue checking if file links are contained in path links.
      * Allow pg-path1 to be optional for synchronous archive-push.
      * The expire command now checks if a stop file is present.
      * Handle missing reason phrase in HTTP response.
      * Increase buffer size for lz4 compression flush.
      * Ignore pg-host* and repo-host* options for the remote command.
      * Fix possibly missing pg1-* options for the remote command.
    - Features:
      * Time-based retention for full backups. The --repo-retention-full-type
        option allows retention of full backups based on a time period,
        specified in days.
      * Ad hoc backup expiration. Allow the user to remove a specified backup
        regardless of retention settings.
      * Zstandard compression support. Note that setting compress-type=zst
        will make new backups and archive incompatible (unrestorable) with
        prior versions of pgBackRest.
      * bzip2 compression support. Note that setting compress-type=bz2 will
        make new backups and archive incompatible (unrestorable) with prior
        versions of pgBackRest.
      * Add backup/expire running status to the info command.
    - Improvements:
      * Expire WAL archive only when repo-retention-archive threshold is met.
        WAL prior to the first full backup was previously expired after the
        first full backup. Now it is preserved according to retention
        settings.
      * Add local MD5 implementation so S3 works when FIPS is enabled.
      * PostgreSQL 13 beta1 support. Changes to the control/catalog/WAL
        versions in subsequent betas may break compatibility but pgBackRest
        will be updated with each release to keep pace.
      * Reduce buffer-size default to 1MiB.
      * Throw user-friendly error if expire is not run on repository host.
  * d/control: Update B-D to support new compression algorithms:
    - libbz2-dev and
    - libzstd-dev

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 27 May 2020 09:06:59 +0200

pgbackrest (2.26-1) unstable; urgency=medium

  * New Upstream Release:
    -  Bug Fixes:
      * Remove empty subexpression from manifest regular expression. MacOS was
        not happy about this though other platforms seemed to work fine.
    - Improvements:
      * Non-blocking TLS implementation.
      * Only limit backup copy size for WAL-logged files. The prior behavior
        could possibly lead to postgresql.conf or postgresql.auto.conf being
        truncated in the backup.
      * TCP keep-alive options are configurable.
      * Add io-timeout option.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 25 Apr 2020 12:58:04 +0200

pgbackrest (2.25-3) unstable; urgency=medium

  * d/rules: Add --bindir flag to configure.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 30 Mar 2020 11:33:53 +0200

pgbackrest (2.25-2) unstable; urgency=medium

  * d/control: Add liblz4-dev as B-D.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 29 Mar 2020 12:02:30 +0200

pgbackrest (2.25-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Adrian Vondendriesch ]
  * New Upstream Release:
   - Features:
     * Add lz4 compression support. Note that setting compress-type=lz4 will
       make new backups and archive incompatible (unrestorable) with prior
       versions of pgBackRest.
     * Add --dry-run option to the expire command. Use dry-run to see which
       backups/archive would be removed by the expire command without actually
       removing anything.
   - Improvements:
     * Improve performance of remote manifest build.
     * Fix detection of keepalive options on Linux.
     * Add configure host detection to set standards flags correctly.


=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 9),
-               perl,
+               libbz2-dev,
+               liblz4-dev,
                libpq-dev,
                libssl-dev,
                libxml-checker-perl,
                libxml2-dev,
+               libzstd-dev,
+               perl,
                pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.4.0
-Homepage: http://www.pgbackrest.org/
+Standards-Version: 4.4.1
+Homepage: https://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest
 
 Package: pgbackrest
 Architecture: any
-Depends: postgresql-common,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
+Depends: postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Suggests: pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL

## pgbackrest 2.32

=== debian/changelog ===
pgbackrest (2.32-1.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 9.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 10 Feb 2021 18:28:28 +0100

pgbackrest (2.32-1) unstable; urgency=medium

  * New Upstream Release:
    - Bug Fixes:
      * Fix resume after partial delete of backup by prior resume.
    - Features:
      * Add repo-ls command.
      * Add repo-get command.
      * Add archive-mode-check option.
    - Improvements:
      * Improve archive-get performance.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 10 Feb 2021 18:28:28 +0100

pgbackrest (2.31-1) unstable; urgency=medium

  * d/control: Add check-pgbackrest in Suggests. (Closes: #970724)
  * New Upstream Release:
    - Bug Fixes:
      * Allow [, #, and space as the first character in database names.
      * Create standby.signal only on PostgreSQL 12 when restore type is
        standby.
    - Features:
      * Expire history files.
      * Report page checksum errors in info command text output.
      * Add repo-azure-endpoint option.
      * Add pg-database option.
    - Improvements:
      * Improve info command output when a stanza is specified but missing.
      * Improve performance of large file lists in backup/restore commands.
      * Add retries to PostgreSQL sleep when starting a backup.
    - Documentation Improvements:
      * Replace RHEL/CentOS 6 documentation with RHEL/CentOS 8.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 08 Dec 2020 13:14:27 +0100

pgbackrest (2.30-1) unstable; urgency=low

  * Bug Fixes:
    - Error with hints when backup user cannot read pg_settings.
  * Features:
    - PostgreSQL 13 support.
  * Improvements:
    - Improve PostgreSQL version identification.
    - Improve working directory error message.
    - Add hint about starting the stanza when WAL segment not found.
    - Add hint for protocol version mismatch.
  * Documentation Improvements:
    - Add note that pgBackRest versions must match when running remotely.
    - Move info command text to the reference and link to user guide.
    - Update yum repository path for CentOS/RHEL user guide.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 08 Oct 2020 17:28:15 +0200

pgbackrest (2.29-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 10.
  * Update standards version to 4.5.0, no changes needed.

  [ Adrian Vondendriesch ]
  * New Upstream Release:
    - Bug Fixes:
      * Suppress errors when closing local/remote processes. Since the
        command has completed it is counterproductive to throw an error but
        still warn to indicate that something unusual happened.
      * Fix issue with = character in file or database names.
    - Features:
      * Automatically retrieve temporary S3 credentials on AWS instances.
      * Add archive-mode option to disable archiving on restore.
    - Improvements:
      * PostgreSQL 13 beta3 support. Changes to the control/catalog/WAL
        versions in subsequent betas may break compatibility but pgBackRest
        will be updated with each release to keep pace.
      * Asynchronous list/remove for S3/Azure storage.
      * Improve memory usage of unlogged relation detection in manifest build.
      * Proactively close file descriptors after forking async process.
      * Delay backup remote connection close until after archive check.
      * Improve detailed error output.
      * Improve TLS error reporting.
    - Documentation Bug Fixes:
      * Add none to compress-type option reference and fix example.
      * Add missing azure type in repo-type option reference.
      * Fix typo in repo-cipher-type option reference.
    - Documentation Improvements:
      * Clarify that expire must be run regularly when expire-auto is
        disabled.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 03 Sep 2020 10:16:38 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                pkg-config,
                txt2man,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.pgbackrest.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest
@@ -24,7 +24,7 @@
 Package: pgbackrest
 Architecture: any
 Depends: postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Suggests: pgbackrest-doc
+Suggests: pgbackrest-doc, check-pgbackrest
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
  that can seamlessly scale up to the largest databases and workloads.
